This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1293559 - [abrt] nautilus: INT_cairo_surface_reference(): nautilus killed by SIGABRT
[abrt] nautilus: INT_cairo_surface_reference(): nautilus killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:9fd3c4526bc49603a4b3c05f5e8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-22 01:55 EST by Luca Ciavatta
Modified: 2016-12-20 12:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:18:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (29.48 KB, text/plain)
2015-12-22 01:55 EST, Luca Ciavatta
no flags Details
File: cgroup (148 bytes, text/plain)
2015-12-22 01:55 EST, Luca Ciavatta
no flags Details
File: core_backtrace (16.16 KB, text/plain)
2015-12-22 01:55 EST, Luca Ciavatta
no flags Details
File: dso_list (13.59 KB, text/plain)
2015-12-22 01:55 EST, Luca Ciavatta
no flags Details
File: environ (850 bytes, text/plain)
2015-12-22 01:55 EST, Luca Ciavatta
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-22 01:55 EST, Luca Ciavatta
no flags Details
File: maps (64.29 KB, text/plain)
2015-12-22 01:55 EST, Luca Ciavatta
no flags Details
File: mountinfo (3.65 KB, text/plain)
2015-12-22 01:55 EST, Luca Ciavatta
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-22 01:55 EST, Luca Ciavatta
no flags Details
File: open_fds (3.18 KB, text/plain)
2015-12-22 01:55 EST, Luca Ciavatta
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2015-12-22 01:55 EST, Luca Ciavatta
no flags Details
File: var_log_messages (299 bytes, text/plain)
2015-12-22 01:55 EST, Luca Ciavatta
no flags Details

  None (edit)
Description Luca Ciavatta 2015-12-22 01:55:22 EST
Description of problem:
I noticed multiple programs crashing when accessing certain files. Nautilus for instance and the preferences dialog of dash-to-dock extension. Maybe connected to librsvg like the Bug 1291226.

Version-Release number of selected component:
nautilus-3.18.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: INT_cairo_surface_reference
executable:     /usr/bin/nautilus
global_pid:     4415
kernel:         4.4.0-0.rc6.git0.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 INT_cairo_surface_reference at cairo-surface.c:928
 #5 rsvg_filter_render at rsvg-filter.c:504
 #6 rsvg_cairo_pop_render_stack at rsvg-cairo-draw.c:842
 #7 rsvg_cairo_pop_discrete_layer at rsvg-cairo-draw.c:896
 #8 rsvg_node_draw at rsvg-structure.c:54
 #9 _rsvg_node_draw_children at rsvg-structure.c:70
 #10 rsvg_node_draw at rsvg-structure.c:54
 #11 _rsvg_node_draw_children at rsvg-structure.c:70
 #12 rsvg_node_draw at rsvg-structure.c:54
 #13 _rsvg_node_draw_children at rsvg-structure.c:70
Comment 1 Luca Ciavatta 2015-12-22 01:55:26 EST
Created attachment 1108569 [details]
File: backtrace
Comment 2 Luca Ciavatta 2015-12-22 01:55:28 EST
Created attachment 1108570 [details]
File: cgroup
Comment 3 Luca Ciavatta 2015-12-22 01:55:29 EST
Created attachment 1108571 [details]
File: core_backtrace
Comment 4 Luca Ciavatta 2015-12-22 01:55:31 EST
Created attachment 1108572 [details]
File: dso_list
Comment 5 Luca Ciavatta 2015-12-22 01:55:33 EST
Created attachment 1108573 [details]
File: environ
Comment 6 Luca Ciavatta 2015-12-22 01:55:34 EST
Created attachment 1108574 [details]
File: limits
Comment 7 Luca Ciavatta 2015-12-22 01:55:36 EST
Created attachment 1108575 [details]
File: maps
Comment 8 Luca Ciavatta 2015-12-22 01:55:38 EST
Created attachment 1108576 [details]
File: mountinfo
Comment 9 Luca Ciavatta 2015-12-22 01:55:39 EST
Created attachment 1108577 [details]
File: namespaces
Comment 10 Luca Ciavatta 2015-12-22 01:55:41 EST
Created attachment 1108578 [details]
File: open_fds
Comment 11 Luca Ciavatta 2015-12-22 01:55:42 EST
Created attachment 1108579 [details]
File: proc_pid_status
Comment 12 Luca Ciavatta 2015-12-22 01:55:44 EST
Created attachment 1108580 [details]
File: var_log_messages
Comment 13 Sebastian 2016-01-01 14:07:56 EST
Another user experienced a similar problem:

nautilus crashes if i open a directory which contains the following svg.
https://raw.githubusercontent.com/Alexey-Yakovenko/deadbeef/master/icons/scalable/deadbeef.svg

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: INT_cairo_surface_reference
executable:     /usr/bin/nautilus
global_pid:     6573
kernel:         4.2.8-300.fc23.x86_64
package:        nautilus-3.18.4-1.fc23
reason:         nautilus killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 14 Fedora End Of Life 2016-11-24 09:27:15 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 12:18:28 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.